Subject: Re: bug#40529: 26.3; global-display-line-numbers-mode and flymake-show-diagnostics-buffer error

From: João Távora <[email-masked]>
Date: Fri, 10 Apr 2020 12:50:19 +0100

Thanks, I will have a look at this soon.  One thing I don't understand is
the influence of `global-display-line-numbers-mode` in all of this. I
suppose
the situation doesn't happen if it's off.  Knowing why will probably solve
the mystery.

Actually, having a look at the backtrace, it seems turning on
display-line-numbers-mode causes the tabulated list to reprint itself via
some
hook that is presumably there by default.

Anyway, this afternoon or tomorrow.

João

On Fri, Apr 10, 2020 at 7:30 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Aidan Beggs <[email-masked]>
> > Date: Thu, 9 Apr 2020 16:55:44 -0400
> >
> > emacs -Q
> > C-x b *scratch*
> > M-x global-display-line-numbers-mode
> > M-x flymake-mode
> > M-x flymake-show-diagnostics-buffer
>
> João, here are the results of my preliminary investigation into this,
> as posted on Reddit (where this was first reported), I hope they will
> be helpful:
>
>   Under the above settings, flymake--diagnostics-buffer-entries is
>   invoked as side effect of calling flymake-diagnostics-buffer-mode from
>   flymake-show-diagnostics-buffer, and at that point
>   flymake--diagnostics-buffer-source has not yet been set to a valid
>   buffer name.  So the with-current-buffer form at the beginning of
>   flymake--diagnostics-buffer-entries barfs.
>
> Thanks.
>

-- 
João Távora